var C_parseUrl = new Object();
C_parseUrl.keys = new Array();
C_parseUrl.values = new Array();

C_parseUrl.QueryString=function(key)
{
	var value = null;
	for (var i=0;i<C_parseUrl.keys.length;i++)
	{
		if (C_parseUrl.keys[i]==key)
		{
			value = C_parseUrl.values[i];
			break;
		}
	}
	return value;
}

C_parseUrl.QueryString_Parse=function()
{
	
	var query = location.search.substring(1);
	var pairs = query.split('&');
	for (var i=0;i<pairs.length;i++)
	{
		var pos = pairs[i].indexOf('=');
		if (pos >= 0)
		{
			var argname = pairs[i].substring(0,pos);
			var value = pairs[i].substring(pos+1);
			C_parseUrl.keys[C_parseUrl.keys.length] = argname;
			C_parseUrl.values[C_parseUrl.values.length] = value;		
		}
	}
				
}
